Clone Runtime App
curl --request POST \
--url https://api.your-blindsight.com/api/runtime-security/apps/{app_uuid}/clone \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.your-blindsight.com/api/runtime-security/apps/{app_uuid}/clone"
payload = {
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', name: '<string>', description: '<string>'})
};
fetch('https://api.your-blindsight.com/api/runtime-security/apps/{app_uuid}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"key": "<string>",
"name": "<string>",
"status": "active",
"privacy_mode": "redacted_only",
"batch_interval_seconds": 123,
"require_signed_token": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"accent_color": "<string>",
"template_key": "<string>",
"template_version": 123,
"dataset_field_picks": [
"<string>"
],
"free_form_tags": {},
"max_events_per_hour": 123,
"max_events_per_day": 123,
"current_config_version": {
"id": "<string>",
"version_number": 123,
"config": {
"thresholds": {
"block": 0.55,
"redact": 0.35,
"output_block": 0.55,
"output_redact": 0.35
},
"detectors": {
"injection": true,
"pii": true,
"ner": true,
"embedding_anomaly": false,
"perplexity": false,
"harm": true,
"topic_drift": false,
"agentic_guardrails": true
},
"ner": {
"mode": "flag",
"threshold": 0.55,
"entities": [
"<string>"
]
},
"custom_phrases": [
"<string>"
],
"pii_rules": [
{
"name": "<string>",
"pattern": "<string>",
"category": "custom",
"score": 0.7,
"description": "<string>",
"flags": 0,
"priority": 0
}
],
"tool_policy": {
"allowlist": [
"<string>"
],
"denylist": [
"<string>"
]
},
"routing": {
"forbidden_providers": [
"<string>"
],
"provider": "<string>",
"upstream_base_url": "<string>"
},
"streaming": {
"strict": false,
"attachment_notice_enabled": true,
"attachment_notice_message": "🔒 Blindsight: analyzing attached file for security risks…"
},
"egress": {
"host_allowlist": [
"<string>"
]
},
"canaries": {
"enabled": false,
"phrases": [
"<string>"
]
},
"redaction": {
"style": "bracket"
},
"request_signing": {
"enabled": false,
"timestamp_skew_seconds": 300
},
"mcp": {
"min_trust_score": 0.4,
"tools": [
{
"name": "<string>",
"description": "",
"trust_score": 0,
"severity_top": "none",
"findings_count": 0,
"registered_at": "<string>",
"last_scanned_at": "<string>"
}
],
"enforcement": "block_high",
"pin_on_first_use": true,
"scan_results": true
}
},
"created_at": "2023-11-07T05:31:56Z",
"change_summary": "<string>",
"created_by_user_id": 123
},
"custom_param_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}runtime-security-apps
Clone Runtime App
POST
/
api
/
runtime-security
/
apps
/
{app_uuid}
/
clone
Clone Runtime App
Path Parameters
Body
application/json
Response
Successful Response
Available options:
active, disabled, archived Available options:
redacted_only, both_role_gated, hashed_pii, user_choice Show child attributes
Show child attributes
Show child attributes
Show child attributes

